at.chipkarte.client.prop.soap

## Class RisikoGruppe

- Object
- - at.chipkarte.client.prop.soap.RisikoGruppe

-     public class RisikoGruppe
      extends Object

  Beinhaltet Informationen zu der Gruppe selbst (Anzeigetext und Codewert), die Angabebedingung der Risikofaktoren innerhalb der Risikogruppe, sowie die Risikofaktoren selbst.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RisikoGruppe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RisikoFaktor[]` | `getRisikoFaktor()` Die zu dieser Risikogruppe gehörenden `Risikofaktoren`.
    `String` | `getRisikoGruppeBedingung()` Anweisung für die Auswahl von Risikofaktoren zu dieser Risikogruppe.
    `String` | `getRisikoGruppeCode()` Code der Risikogruppe.
    `String` | `getRisikoGruppeText()` Textuelle Beschreibung der Risikogruppe.
    `void` | `setRisikoFaktor(RisikoFaktor[] risikoFaktor)`
    `void` | `setRisikoGruppeBedingung(String risikoGruppeBedingung)`
    `void` | `setRisikoGruppeCode(String risikoGruppeCode)`
    `void` | `setRisikoGruppeText(String risikoGruppeText)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RisikoGruppe

          public RisikoGruppe()

  - ### Method Detail

    - #### getRisikoGruppeText

          public String getRisikoGruppeText()

      Textuelle Beschreibung der Risikogruppe.
      Format: max. 150-stellig
      Returns:
        Beschreibung der Risikogruppe

    - #### setRisikoGruppeText

          public void setRisikoGruppeText(String risikoGruppeText)

    - #### getRisikoGruppeCode

          public String getRisikoGruppeCode()

      Code der Risikogruppe.
      Format: 6-stellig
      Returns:
        Code der Risikogruppe

    - #### setRisikoGruppeCode

          public void setRisikoGruppeCode(String risikoGruppeCode)

    - #### getRisikoGruppeBedingung

          public String getRisikoGruppeBedingung()

      Anweisung für die Auswahl von Risikofaktoren zu dieser Risikogruppe.
      Format: 1-stellig
      Die möglichen Werte sind in der Konstante `Bedingung` definiert.

      Konstantenname | Wert | Beschreibung
      `Bedingung.GENAU_EIN` | "0" | Es muss genau ein Risikofaktor gewählt werden.
      `Bedingung.KEIN_ODER_MEHRERE` | "1" | Es können beliebig viele Risikofaktoren gewählt werden.
      `Bedingung.MINDESTENS_EIN` | "2" | Es muss mindestens ein Risikofaktor gewählt werden.
      `Bedingung.KEIN_ODER_EIN` | "3" | Es darf höchstens ein Risikofaktor gewählt werden

      Returns:
        Anweisung für die Auswahl von Risikofaktoren

    - #### setRisikoGruppeBedingung

          public void setRisikoGruppeBedingung(String risikoGruppeBedingung)

    - #### getRisikoFaktor

          public RisikoFaktor[] getRisikoFaktor()

      Die zu dieser Risikogruppe gehörenden `Risikofaktoren`.
      Returns:
        Risikofaktoren

    - #### setRisikoFaktor

          public void setRisikoFaktor(RisikoFaktor[] risikoFaktor)